#ifndef Map_H
#define Map_H

#include <Bild.h>

using namespace Framework;

class Map
{
private:
	RCArray< Array< int > > *map;
	int score;
	int breite;
	int hhe;
	int geschwindigkeit;
	int bAnzahl;
	double next;
	bool beendet;
	bool sr;
	bool rend;
	int ref;
	// private
	void remove( int x, int y );

public:
	// Konstruktor
	Map();
	// Destruktor
	~Map();
	// nicht constant
	void reset();
	void doMausEreignis( MausEreignis &me );
	void doTastaturEreignis( TastaturEreignis &te );
	bool tick( double tickVal );
	void render( Bild &zRObj );
	// constant
	void speichern() const;
	int getScore() const;
	bool istBeendet() const;
	// Reference Counting
	Map *getThis();
	Map *release();
};

#endif